JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const aiChatListResponse of client.aiChats.list()) {
console.log(aiChatListResponse.id);
}curl --request GET \
--url https://api.whop.com/api/v1/ai_chats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/ai_chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"blended_token_usage": "123.45",
"created_at": "2023-12-01T05:00:00.401Z",
"id": "aich_xxxxxxxxxxxxx",
"last_message_at": "2023-12-01T05:00:00.401Z",
"message_count": 42,
"title": "Weekly Revenue Analysis",
"updated_at": "2023-12-01T05:00:00.401Z",
"user": {
"id": "user_xxxxxxxxxxxxx"
}
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"error": {
"code": "parameter_missing",
"message": "Missing required parameter: amount.",
"param": "amount",
"type": "invalid_request_error"
}
}{
"error": {
"message": "Invalid or missing API key",
"type": "unauthorized"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"type": "forbidden"
}
}{
"error": {
"message": "Resource not found",
"type": "not_found"
}
}{
"error": null
}{
"error": null
}{
"error": {
"message": "An unexpected error occurred",
"type": "internal_server_error"
}
}Ai chats
List ai chats
Returns a paginated list of AI chat threads for the current authenticated user.
GET
/
ai_chats
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const aiChatListResponse of client.aiChats.list()) {
console.log(aiChatListResponse.id);
}Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Query Parameters
Returns the elements in the list that come after the specified cursor.
Returns the elements in the list that come before the specified cursor.
Returns the first n elements from the list.
Example:
42
Returns the last n elements from the list.
Example:
42
When true, returns only chats with an active cron schedule
⌘I

